> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/input/inputmanager/flatredball-input-inputmanager-inputreceiver.md).

# InputReceiver

### Introduction

The InputReceiver property can be assigned to set the current [IInputReceiver](/flatredball/api/flatredball/gui/iinputreceiver.md). The current IInputReceiver can receive keyboard input and has an ever-frame method raised for processing input. This property can be used to prevent multiple objects from receiving keyboard input. This is useful if multiple game objects respond to keyboard input - such as a a text box and a character in a platformer.

For a detailed discussion of using the InputReceiver property, see the [IInputReceiver](/flatredball/api/flatredball/gui/iinputreceiver.md) page.

### Setting InputReceiver

The InputReceiver can be assigned through custom code. For example, the following might be an event executed when a button is clicked:

```csharp
// assuming that "this" is the container of the click event, and that it implements the IInputReceiver interface:
FlatRedBall.Input.InputManager.InputReceiver = this;
```

### Checking InputReceiver

The InputReciever property can be checked to see if any control is receiving input. For example, the following code runs hotkey activity if there is no InputReceiver:

```csharp
if(FlatRedBall.Input.InputManager.InputReceiver == null)
{
    DoYourHotkeyImplementationHere();
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/input/inputmanager/flatredball-input-inputmanager-inputreceiver.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
